Package com.collabnet.ce.soap60.integratedapps.util

# Class IntegratedApplicationSearchResults

java.lang.Object
com.collabnet.ce.soap60.integratedapps.util.IntegratedApplicationSearchResults

public class IntegratedApplicationSearchResults extends Object
Class to construct an XML for an Integrated Application search result. The format of the xml response is <?xml version="1.0" encoding="UTF-8" ?>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntegratedApplicationSearchResults()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `convertToXML(String rowCount)`
  Convert the search results to an XML
  `String`
  `getColumnName()`
  Returns the Column Name
  `String`
  `getIntegratedApplicationOpenTag()`
  Returns IntegratedApp Open Tag
  `String[]`
  `getSearchResultColumns()`
  Returns the search results column.
  `List`
  `getSearchResultRows()`
  Returns a list of search result rows
  `void`
  `setColumnName(String columnAttribute)`
  Sets column name attribute
  `void`
  `setIntegratedApplicationOpenTag(String count)`
  Set IntegratedApp Close Tag
  `void`
  `setSearchResultColumns(String[] columnArray)`
  Sets the search results column.
  `void`
  `setSearchResultRows(List rowList)`
  Set the search results row
  `void`
  `setTitle(String title, String url)`
  Set the title and URL

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntegratedApplicationSearchResults

    public IntegratedApplicationSearchResults()

- ## Method Details

  - ### setTitle

    public void setTitle(String title, String url)
    Set the title and URL
    Parameters:
      `title` - the display title
      `url` - the url.

  - ### getIntegratedApplicationOpenTag

    public String getIntegratedApplicationOpenTag()
    Returns IntegratedApp Open Tag
    Returns:
      integratedAppTag

  - ### setIntegratedApplicationOpenTag

    public void setIntegratedApplicationOpenTag(String count)
    Set IntegratedApp Close Tag
    Parameters:
      `count` -

  - ### getColumnName

    public String getColumnName()
    Returns the Column Name

  - ### setColumnName

    public void setColumnName(String columnAttribute)
    Sets column name attribute
    Parameters:
      `columnAttribute` -

  - ### getSearchResultRows

    public List getSearchResultRows()
    Returns a list of search result rows
    Returns:
      rowlist

  - ### setSearchResultRows

    public void setSearchResultRows(List rowList)
    Set the search results row
    Parameters:
      `rowList` -

  - ### getSearchResultColumns

    public String[] getSearchResultColumns()
    Returns the search results column.
    Returns:
      columnArray

  - ### setSearchResultColumns

    public void setSearchResultColumns(String[] columnArray)
    Sets the search results column.
    Parameters:
      `columnArray` -

  - ### convertToXML

    public String convertToXML(String rowCount)
    Convert the search results to an XML
    Returns:
      results as xml String.